//********************************************************************
PROGRAM GUIMain;
//********************************************************************
USES
   dglOpenGl, GraphicSupport, GUIBase, GUIItem, GUIDescendants;
//********************************************************************
VAR
   MyGUIManager: TGUIManager;
   Shape1, Shape2: TGUIShape;
//********************************************************************
// Creating GUI-Elements
Procedure PrepareGUI;
Begin
   Shape1:= TGUIShape.Create('Shape1',MyGUIManager,stRoundRect);
   With Shape1 Do Begin
      Left:= 100; Top:= 100; Right:= 400; Bottom:= 300;
      FGColorName:= 'SolidRed';
   End;

   Shape2:= TGUIShape.Create('Shape2',Shape1,stEllipse);
   With Shape2 Do Begin
      Left:= 150; Top:= 150; Right:= 200; Bottom:= 200;
      FGColorName:= 'SolidBlue';
   End;
End;
//********************************************************************
// MAINPROGRAM
Begin
   MyGUIManager:= TGUIManager.Create('GUIManager', Nil);
   PrepareGUI;
   With MyGUIManager Do If InitGraphicSupport
      Then While Not GUIQuit Do Begin
         CatchEvent;
         DrawGUI;
         //sleep(250);
      End;
   MyGUIManager.Free;
End.
//********************************************************************

